---
title: List
url: https://www.tines.com/docs/api/cases/records/list/
updated: 2024-05-21T14:23:05+00:00
description: Retrieve a list of records attached to a case.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Cases](https://www.tines.com/llm/docs/api/cases.md) › [Records](https://www.tines.com/llm/docs/api/cases/records.md)*

# List

*[View on tines.com](https://www.tines.com/docs/api/cases/records/list/)*

## Description

Retrieve a list of records attached to a case.

## Request

HTTP Method: **GET**

| Parameter | Description                                                                                         |
| --------- | --------------------------------------------------------------------------------------------------- |
| case_id   | The ID of the case.                                                                                 |
| per_page  | **Optional** Set the number of results returned per page. Defaults to 20.                           |
| page      | **Optional** Specify the page of results to return if there are multiple pages. Defaults to page 1. |

```bash
curl -X GET \
  https://<tenant-domain>/api/v2/cases/<<case_id>>/records \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
```

## Response

A successful request will return a JSON object with the records.

### Field description

| Parameter | Description                                                                     |
| --------- | ------------------------------------------------------------------------------- |
| case_id   | The ID of the case.                                                             |
| records   | An array of records attached to the case. See the table below for more details. |

| Records parameter | Description                                                                                                                      |
| ----------------- | -------------------------------------------------------------------------------------------------------------------------------- |
| id                | The record ID.                                                                                                                   |
| record_type       | The record type. Includes id and name.                                                                                           |
| records           | An array of records associated with the case, grouped by record type. Each record result includes the field id, name, and value. |
| created_at        | The timestamp the record was created.                                                                                            |

### Sample response

<!-- cspell:disable -->

```json
{
  "case_id": 42,
  "records": [
    {
      "record_type_id": 55,
      "record_type_name": "Record type 2",
      "record_type_record_results": [
        {
          "id": 59,
          "results": [
            {
              "id": 59110,
              "name": "Timestamp",
              "value": "2024-04-16T08:02:03Z"
            },
            {
              "id": 59109,
              "name": "Story name",
              "value": "Alert investigation"
            }
          ],
          "created_at": "2024-04-16T08:02:03Z"
        },
        {
          "id": 58,
          "results": [
            {
              "id": 58110,
              "name": "Timestamp",
              "value": "2024-04-16T08:02:03Z"
            },
            {
              "id": 58109,
              "name": "Story name",
              "value": "Alert investigation #1"
            }
          ],
          "created_at": "2024-04-16T08:02:03Z"
        }
      ]
    },
    {
      "record_type_id": 54,
      "record_type_name": "Record type 1",
      "record_type_record_results": [
        {
          "id": 56,
          "results": [
            {
              "id": 56108,
              "name": "Timestamp",
              "value": "2024-04-16T08:02:03Z"
            },
            {
              "id": 56107,
              "name": "Story name",
              "value": "Alert investigation #2"
            }
          ],
          "created_at": "2024-04-16T08:02:03Z"
        },
        {
          "id": 55,
          "results": [
            {
              "id": 55108,
              "name": "Timestamp",
              "value": "2024-04-16T08:02:03Z"
            },
            {
              "id": 55107,
              "name": "Story name",
              "value": "Alert investigation #3"
            }
          ],
          "created_at": "2024-04-16T08:02:03Z"
        }
      ]
    }
  ],
  "meta": {
    "current_page": "https://<tenant-domain>/api/v2/cases/42/records?per_page=20&page=1",
    "previous_page": null,
    "next_page": null,
    "next_page_number": null,
    "per_page": 20,
    "pages": 1,
    "count": 4
  }
}
```
